clang 8.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::AnyFunctionDecl Class Reference

Represents any kind of function declaration, whether it is a concrete function or a function template. More...

`#include "clang/AST/DeclCXX.h"`

## Public Member Functions
| AnyFunctionDecl (FunctionDecl *FD)
| AnyFunctionDecl (FunctionTemplateDecl *FTD)
| Implementation of inline functions that require the template declarations. More...
| operator NamedDecl * () const
| Implicily converts any function or function template into a named declaration. More...
NamedDecl * | get () const
| Retrieve the underlying function or function template. More...

## Static Public Member Functions
static AnyFunctionDecl | getFromNamedDecl (NamedDecl *ND)

## Detailed Description

Represents any kind of function declaration, whether it is a concrete function or a function template.

Definition at line 78 of file DeclCXX.h.

## Constructor & Destructor Documentation

## ◆ AnyFunctionDecl() [1/2]

clang::AnyFunctionDecl::AnyFunctionDecl | ( | FunctionDecl * | FD | ) |
| inline

Definition at line 84 of file DeclCXX.h.

## ◆ AnyFunctionDecl() [2/2]

clang::AnyFunctionDecl::AnyFunctionDecl | ( | FunctionTemplateDecl * | FTD | ) |
| inline

Implementation of inline functions that require the template declarations.

Definition at line 2459 of file DeclTemplate.h.

## Member Function Documentation

## ◆ get()

NamedDecl* clang::AnyFunctionDecl::get | ( |  | ) | const
| inline

Retrieve the underlying function or function template.

Definition at line 92 of file DeclCXX.h.

Referenced by llvm::PointerLikeTypeTraits< ::clang::AnyFunctionDecl >::getAsVoidPointer().

## ◆ getFromNamedDecl()

static AnyFunctionDecl clang::AnyFunctionDecl::getFromNamedDecl | ( | NamedDecl * | ND | ) |
| inline static

Definition at line 94 of file DeclCXX.h.

## ◆ operator NamedDecl *()

clang::AnyFunctionDecl::operator NamedDecl * | ( |  | ) | const
| inline

Implicily converts any function or function template into a named declaration.

Definition at line 89 of file DeclCXX.h.

The documentation for this class was generated from the following files:

- include/clang/AST/DeclCXX.h
- include/clang/AST/DeclTemplate.h